# spec file for scriptaculous
#
# Copyright (c) 2013 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/3.0/
#
# Please, preserve the changelog entries
#

Name:         scriptaculous
Version:      1.9.0
Release:      %mkrel 7
Summary:      JavaScript library
Group:        Development/Other
License:      MIT
URL:          http://script.aculo.us/

Source0:      http://script.aculo.us/dist/%{name}-js-%{version}.zip
Source1:      %{name}.conf

BuildArch:    noarch

Requires:     prototype


%description
script.aculo.us provides you with easy-to-use, 
cross-browser user interface JavaScript libraries
to make your web sites and web applications fly.

%package httpd
Summary:       Apache configuration for %{name}
Requires:      %{name} = %{version}-%{release}

%description   httpd
This package provides the Apache configuration for
applications using an Alias to scriptaculous library.


%prep
%setup -q -n %{name}-js-%{version}

# fix encoding
iconv -f iso-8859-1 -t utf8 CHANGELOG >CHANGELOG.new
touch -r CHANGELOG CHANGELOG.new
mv CHANGELOG.new CHANGELOG


%build
# Nothing to build


%install
# JavaScript
install -m 0755 -d %{buildroot}%{_datadir}/%{name}
install -m 0644 -p src/*.js %{buildroot}%{_datadir}/%{name}

# Apache
install -m 0755 -d %{buildroot}%webappconfdir
install -m 0644 -p %{SOURCE1} %{buildroot}%webappconfdir/%{name}.conf

%files
%doc CHANGELOG README.rdoc MIT-LICENSE
%{_datadir}/%{name}


%files httpd
%config(noreplace) %webappconfdir/%{name}.conf



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.9.0-7.mga8
+ Revision: 1500058
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.9.0-6.mga7
+ Revision: 1275409
- Mageia 7 Mass Rebuild

* Mon Mar 14 2016 neoclust <neoclust> 1.9.0-5.mga6
+ Revision: 990509
- Fix apache config location
- imported package scriptaculous

